Skip to content
Start here

Get an origin cloud region mapping

client.cache.originCloudRegions.get(stringoriginIP, OriginCloudRegionGetParams { zone_id } params, RequestOptionsoptions?): OriginCloudRegionGetResponse { id, editable, value, modified_on }
GET/zones/{zone_id}/cache/origin_cloud_regions/{origin_ip}

Returns the cloud region mapping for a single origin IP address. The IP path parameter is normalized before lookup (RFC 5952 for IPv6). Returns 404 (code 1142) if the zone has no mappings or if the specified IP has no mapping.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
originIP: string
params: OriginCloudRegionGetParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
OriginCloudRegionGetResponse { id, editable, value, modified_on }

Response result for a single origin cloud region mapping.

id: "origin_public_cloud_region"
editable: boolean

Whether the setting can be modified by the current user.

value: OriginCloudRegion { origin-ip, region, vendor, modified_on }

A single origin IP-to-cloud-region mapping.

"origin-ip": string

The origin IP address (IPv4 or IPv6, canonicalized).

region: string

Cloud vendor region identifier.

vendor: "aws" | "azure" | "gcp" | "oci"

Cloud vendor hosting the origin.

One of the following:
"aws"
"azure"
"gcp"
"oci"
modified_on?: string

Time this mapping was last modified.

formatdate-time
modified_on?: string

Time the mapping was last modified.

formatdate-time

Get an origin cloud region mapping

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const originCloudRegion = await client.cache.originCloudRegions.get('192.0.2.1', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(originCloudRegion.id);
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "modified_on": "2026-03-01T12:00:00Z",
      "origin-ip": "192.0.2.1",
      "region": "us-east-1",
      "vendor": "aws"
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1142,
      "message": "Unable to retrieve origin_public_cloud_region setting value. The zone setting does not exist."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": {
      "modified_on": "2026-03-01T12:00:00Z",
      "origin-ip": "192.0.2.1",
      "region": "us-east-1",
      "vendor": "aws"
    }
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1142,
      "message": "Unable to retrieve origin_public_cloud_region setting value. The zone setting does not exist."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}